%global momorel 3

Summary: System and process monitoring utilities
Name: procps
Version: 3.2.8
Release: %{momorel}m%{?dist}
License: GPLv2+ and LGPLv2+
Group: Applications/System
URL: http://procps.sourceforge.net
Source: http://procps.sourceforge.net/procps-%{version}.tar.gz
NoSource: 0
Source1: FAQ
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

Patch1: procps-3.2.7-selinux.patch
Patch2: procps-3.2.7-misc.patch
Patch3: procps-3.2.7-FAQ.patch
Patch4: procps-3.2.7-selinux-workaround.patch
Patch6: procps-3.2.7-noproc.patch
Patch7: procps-3.2.7-pseudo.patch
Patch8: procps-3.2.7-0x9b.patch
# 157725 - sysctl -A returns an error
Patch9: procps-3.2.7-sysctl-writeonly.patch
# 161449 - "top" ignores user and system toprc
Patch10: procps-3.2.7-top-rc.patch
# 161303 - 'top' failed when remove cpus
# 186017 - Top "Cpu0" line never updates on single processor machine
Patch11: procps-3.2.7-top-remcpu.patch
# Selinux
Patch12: procps-3.2.7-libselinux.patch
# 177453 - for VIRT use proc->vm_size rather then proc->size (workaround)
Patch14: procps-3.2.7-top-env-vmsize.patch
# 174619 - workaround for reliable Cpu(s) data in the first loop
Patch15: procps-3.2.7-top-env-cpuloop.patch
# 185299 - cpu steal time support
Patch16: procps-3.2.7-vmstat-cpusteal.patch
# 134516 - ps ignores /proc/#/cmdline if contents 2047 bytes
Patch17: procps-3.2.7-longcmd.patch
# 189349 - 32bit vmstat on 64bit kernel
Patch18: procps-3.2.7-vmstat-pgpg.patch
# 212637 - sysctl using deprecated syscall
# 228870 - process `sysctl' is using deprecated sysctl ...
Patch21: procps-3.2.7-sysctl-ignore.patch
# 140975 - top corrupts screen when sorting on first column
Patch22: procps-3.2.7-top-sorthigh.path
# 234546 - 'w' doesn't give correct information about what's being run.
Patch23: procps-3.2.7-w-best.patch
# 183029 - watch ignores unicode characters
Patch24: procps-3.2.7-watch-unicode.patch
# 222251 - STIME can jitter by one second
Patch26: procps-3.2.7-ps-stime.patch
#244152 - ps truncates eip and esp to 32-bit values on 64-bit systems
Patch28: procps-3.2.7-ps-eip64.patch
#244960 - ps manpage formatted incorrectly
Patch29: procps-3.2.7-psman.patch
#255441 - ldopen libselinux.so.1 instead of libselinux.so
Patch30: procps-3.2.7-ps-libselinux.patch
#185994 - error when using "Single Cpu = Off" option
Patch31: procps-3.2.7-top-cpu0.patch
#354001 - CPU value in top is reported as an integer
Patch32: procps-3.2.7-top-cpuint.patch
#296471 - update top man page
Patch33: procps-3.2.7-top-manpage.patch
#440694 - strange text after selecting few field
Patch34: procps-3.2.7-top-clrscr.patch
#435453 - errors with man -t formatting of ps man page
Patch35: procps-3.2.7-ps-man-fmt.patch
#472783 - 'vmstat -p <partition name>', 
# the detailed statistics of the partition name is not output.
Patch36: procps-3.2.7-vmstat-partstats-long.patch
# Fix vmstat header to be 80 chars not 81
Patch37: procps-3.2.7-vmstat-header.patch
# rhel bug #475963: slabtop -o should display the info once
Patch38: procps-3.2.7-slabtop-once.patch
#476134 - added timestamp to vmstat with new option -t
Patch39: procps-3.2.7-vmstat-timestamp.patch
#manual page updated to document the -t functionality
Patch40: procps-3.2.7-vmstat-timestamp-manpage.patch
#added cgroup display to ps
Patch41: procps-3.2.7-ps-cgroup.patch
# 'requested writes' display in partition statistics
Patch42: procps-3.2.7-vmstat-partstats-reqwrites.patch
# '-l' option of 'free' documented
Patch43: procps-3.2.7-free-hlmem.patch
# bug in showing threads fixed
Patch44: procps-3.2.8-threads.patch
# enable core file generation (don't trap it)
Patch45: procps-enable-core.patch
#548711 -  [abrt] crash in procps-3.2.8-3.fc12
Patch46: procps-3.2.8-setlocale.patch
# debian bug #505571 pmap -x should show more information
Patch47: procps-pmap-smaps.patch
#578798 - vmstat -SM doesn't work but vmstat -S M does 
Patch48: procps-3.2.8-vmstat-getopt.patch
Patch49: procps-3.2.8-ps-cgroup-suppress-root-group.patch

Patch100: procps-3.2.8-kosaki.patch

BuildRequires: ncurses-devel

%description
The procps package contains a set of system utilities that provide
system information. Procps includes ps, free, skill, pkill, pgrep,
snice, tload, top, uptime, vmstat, w, watch and pdwx. The ps command
displays a snapshot of running processes. The top command provides
a repetitive update of the statuses of running processes. The free
command displays the amounts of free and used memory on your
system. The skill command sends a terminate command (or another
specified signal) to a specified set of processes. The snice
command is used to change the scheduling priority of specified
processes. The tload command prints a graph of the current system
load average to a specified tty. The uptime command displays the
current time, how long the system has been running, how many users
are logged on, and system load averages for the past one, five,
and fifteen minutes. The w command displays a list of the users
who are currently logged on and what they are running. The watch
program watches a running program. The vmstat command displays
virtual memory statistics about processes, memory, paging, block
I/O, traps, and CPU activity. The pwdx command reports the current 
working directory of a process or processes.

%prep
%setup -q

%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch26 -p1
%patch28 -p1
%patch29 -p1
%patch30 -p1
%patch31 -p1
%patch32 -p1
%patch33 -p1
%patch34 -p1
%patch35 -p1
%patch36 -p1
%patch37 -p1
%patch38 -p1
%patch39 -p1
%patch40 -p1
%patch41 -p1
%patch42 -p1
%patch43 -p1
%patch44 -p1
%patch45 -p1
%patch46 -p1
%patch47 -p1
%patch48 -p1
%patch49 -p1


%patch100 -p1

cp %SOURCE1 .

%build
make SHARED=1 CFLAGS="$RPM_OPT_FLAGS" W_SHOWFROM=-DW_SHOWFROM lib64=%{_lib}

%install
rm -rf %{buildroot}
make ldconfig=true DESTDIR=%{buildroot} lib64=%{_lib} install="install -D" \
	SKIP="/bin/kill /usr/share/man/man1/kill.1" install
mkdir -p %{buildroot}/%{_docdir}/procps-%{version}
# keep 'rpm' happy...
chmod -R u+w %{buildroot}/sbin
chmod -R u+w %{buildroot}/bin
chmod -R u+w %{buildroot}/usr/bin
chmod -R u+w %{buildroot}/lib*

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(0644,root,root,755)
%doc NEWS BUGS TODO FAQ
%attr(755,root,root) /%{_lib}/*
%attr(755,root,root) /bin/ps
%attr(755,root,root) /sbin/sysctl
%attr(755,root,root) /usr/bin/*

%attr(0644,root,root) %{_mandir}/man1/*
%attr(0644,root,root) %{_mandir}/man8/*
%attr(0644,root,root) %{_mandir}/man5/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (3.2.8-3m)
- full rebuild for mo7 release

* Mon Aug 23 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (3.2.8-2m)
- sync with Fedora (3.2.8-10)
- add swap-fix patch 
-- http://mkosaki.blog46.fc2.com/blog-entry-1115.html

* Fri Jul 23 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.2.8-1m)
- sync with Fedora 13 (3.2.8-7)

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.2.7-6m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.2.7-5m)
- rebuild against rpm-4.6

* Sun Jan 11 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.2.7-4m)
- sync with Rawhide (3.2.7-22)

* Tue Sep  9 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (3.2.7-3m)
- sync Fedora 3.2.7-20

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.2.7-2m)
- rebuild against gcc43

* Mon Jun 18 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (3.2.7-1m)
- sync FC-devel 3.2.7-11
- update to 3.2.7

* Wed May 10 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (3.2.6-1m)
- update to 3.2.6

* Fri Dec 17 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.2.4-1m)
- update to 3.2.4
- delete Patch1: procps-3.1.15-nostrip.patch
- update Patch4: procps-misc3.patch
- arrange files section

* Thu May 20 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (3.2.1-1m)
- verup

* Tue Oct 28 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.0.17-2m)
- comment out patch4 for avoid invalid value top

* Thu Oct 16 2003 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (2.0.17-1m)
- update to 2.0.17
- fix License: GPL -> GPL and LGPL
  each commands have different license (GPL, LGPL and unknown!).
- use %%NoSource
- add COPYING and COPYING.LIB to %%doc
- sync with RawHide(procps-2.0.17-1)
 
* Sat Jul 26 2003 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (2.0.13-1m)
- update to 2.0.13
- use %%{momorel} macro
- change source URL
- add URL tag
- add BuildRequires: ncurses-devel
- add backup option to %%patch
- add %%postun section
- sync with RawHide(procps-2.0.13-1)
-  changes are:
- * Fri Jul  4 2003 Alexander Larsson <alexl@redhat.com> 2.0.13-1
- - update to 2.0.13
- - Re-merged ntpl patch
- - Add hertz fix from Ernie Petrides <petrides@redhat.com>
- 
- * Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- - rebuilt
- 
- * Fri May 23 2003 Alexander Larsson <alexl@redhat.com> 2.0.12-1
- - Update to 2.0.12
- - Add patch to fix segfault on ps axl (#91453)

* Tue Feb 18 2003 Tsutomu Yasuda
- (2.0.11-1m)
  update to 2.0.11
  remove X11 sub package

* Fri May 17 2002 Yasuhiro Takabayashi
- (2.0.7-18k)
- change user =  guest => nobody (jitterbug #1028)

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (2.0.7-16k)

* Thu Jul 12 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- (2.0.7-14k)
  fix vmstat

* Wed May  9 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.0.7-12k)
- modified systat xinetd.d file for not warning

* Fri May  4 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (2.0.7-10k)
- remove tcpd from systat against xinetd with libwrap.

* Fri Mar 23 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.0.7-8k)
- add PreReq tag

* Sun Jan 14 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.0.7-7k)
- added systat for xinetd

* Wed Jul 26 2000 Michael K. Johnson <johnsonm@redhat.com>
- Added Jacub's locale patch

* Fri Jul 14 2000 Michael K. Johnson <johnsonm@redhat.com>
- procps-2.0.7
- integrated all patches except for signames patch, which is broken
  and unnecessary
- See NEWS for changes between 2.0.6 and 2.0.7
- Added patch to correctly install desktop file.  Oops.

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul 03 2000 Preston Brown <pbrown@redhat.com>
- larger buffers for reading /proc/stat

* Tue Jun 13 2000 Preston Brown <pbrown@redhat.com>
- FHS paths

* Tue May 30 2000 Preston Brown <pbrown@redhat.com>
- add smp, signal name patches from VA Linux.  Thanks guys.

* Mon May 22 2000 Harald Hoyer <harald@redhat.com>
- added sysctl.conf (5) man page

* Wed May 10 2000 Bill Nottingham <notting@redhat.com>
- fix PAGE_SIZE mismatch on ia64

* Sun May  7 2000 Bill Nottingham <notting@redhat.com>
- rebuild with different optimizations for ia64

* Fri Mar 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild with current ncurses

* Tue Mar  7 2000 Bill Nottingham <notting@redhat.com>
- fix end-of-file behavior in sysctl

* Mon Feb 07 2000 Preston Brown <pbrown@redhat.com>
- wmconfig -> desktop

* Mon Feb  7 2000 Jakub Jelinek <jakub@redhat.com>
- don't try to load System.map (and spit error messages if it does not
  exist) if ps or top are not going to use it, both to speed things up
  and remove the ugly messages when they don't make sense.
- in top, print the possible error messages using standard top SHOWMESSAGE
  (because it will be now printed out when already in terminal mode).

* Thu Feb  3 2000 Matt Wilson <msw@redhat.com>
- added patch to prevent divide by zero on UltraSparc
- gzip man pages

